"""
    Freqtrade API

    No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)  # noqa: E501

    The version of the OpenAPI document: 2021.9-dev10
    Generated by: https://openapi-generator.tech
"""


import unittest

import ftclient
from ftclient.api.trading_api import TradingApi  # noqa: E501


class TestTradingApi(unittest.TestCase):
    """TradingApi unit test stubs"""

    def setUp(self):
        self.api = TradingApi()  # noqa: E501

    def tearDown(self):
        pass

    def test_forcebuy_api_v1_forcebuy_post(self):
        """Test case for forcebuy_api_v1_forcebuy_post

        Forcebuy  # noqa: E501
        """
        pass

    def test_forcesell_api_v1_forcesell_post(self):
        """Test case for forcesell_api_v1_forcesell_post

        Forcesell  # noqa: E501
        """
        pass

    def test_trade_api_v1_trade_tradeid_get(self):
        """Test case for trade_api_v1_trade_tradeid_get

        Trade  # noqa: E501
        """
        pass

    def test_trades_api_v1_trades_get(self):
        """Test case for trades_api_v1_trades_get

        Trades  # noqa: E501
        """
        pass

    def test_trades_delete_api_v1_trades_tradeid_delete(self):
        """Test case for trades_delete_api_v1_trades_tradeid_delete

        Trades Delete  # noqa: E501
        """
        pass


if __name__ == '__main__':
    unittest.main()
